This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1015488 - [RFE] firewall-offline-cmd should be able to return current version
[RFE] firewall-offline-cmd should be able to return current version
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
20
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 07:39 EDT by Martin Kolman
Modified: 2015-06-29 08:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: firewalld-0.3.10-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:32:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kolman 2013-10-04 07:39:41 EDT
Description of problem:
The firewall-offline-cmd doesn't seem to have any option for returning firewalld version. 

The online configuration tool has a CLI option for returning firewalld version:
firewall-cmd -V
or
firewall-cmd --version

This complicates firewalld debugging in an environment where the firewalld daemon is not running (such as in the Anaconda installer), because it is not possible to easily determine firewalld version and alternate methods need to be used, such as checking installed package version.


Version-Release number of selected component (if applicable):
0.3.5

How reproducible:
allways

Steps to Reproduce:
1. run firewall-offline-cmd with the --help option
2. check the listing of supported options

Actual results:
there is no option for returning firewalld version

Expected results:
there a -V and/or --version CLI option that returning firewalld version
Comment 1 Fedora End Of Life 2015-05-29 05:30:54 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-06-29 08:32:51 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Thomas Woerner 2015-06-29 08:37:46 EDT
This has already been fixed in the firewalld-0.3.10 verison.

Note You need to log in before you can comment on or make changes to this bug.